/*
*-----------------------------------------------------------------------------
*	file	: cmd_pars.c
*	desc	: simple command parser
*	by	: Frank Schnorrenberg
*	date	: 04-15-92
*-----------------------------------------------------------------------------
*/

#include <stdlib.h>

#include "cmd_pars.h"

CMDTBL	cmdtbl[] =
	{
	{CMD_INFILE,		"-fin="},
	{CMD_SAMPLE,		"-samp="},
	{CMD_WGTS,		"-fwgt="},
	{CMD_USEWGTS,		"-use="},
	{CMD_SPEC,		"-fspec="},
	{CMD_OUT,		"-fout="},
	{CMD_ITER,		"-maxiter="},
	{CMD_REPS,		"-reps="}
	};

static int	cmdtblsize = 0;
static int	cmdargc = 0;
static int	cmdcnt = 0;
static char	**cmdargv;

int cmdsearch( str, rest )
char	*str;
char	*rest;
{
	int	i, l;

	for (i=0; i<cmdtblsize; i++)
		{
		l = strlen( cmdtbl[i].cmdstr );
		if (!memcmp(str, cmdtbl[i].cmdstr, l))
			{
			strcpy( rest, str + l );
			return (cmdtbl[i].cmdno);
			}
		}
	strcpy( rest, str );
	return (CMD_NULL);
}

int cmdinit( argc, argv )
int	argc;
char	**argv;
{
	cmdtblsize = sizeof(cmdtbl) / sizeof(cmdtbl[0]);
	cmdargc = argc;
	cmdargv = argv;
}

int cmdget( rest )
char 	*rest;
{
	int	i;

	if (cmdcnt >= cmdargc - 1)
		{
		return (-1);
		}
	else
		{
		return (cmdsearch( *(cmdargv + ++cmdcnt), rest ));
		}
}
