/*
*-----------------------------------------------------------------------------
*	file	: neo.c
*	desc	: This program trains a neural net
*	by	: Frank Schnorrenberg
*	date	: 04-15-92
*
*	comment	:
*	
*-----------------------------------------------------------------------------
*/

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>	

#include "nntype.h"
#include "cmd_pars.h"
#include "nnio.h"
#include "nncreat.h"
#include "nntrain.h"
#include "nnerror.h"
#include "neov.h"


/* Global structure to protocol the state of the network*/
STATE	state;

extern	char	tname[128];
extern	char	wgtname[128];
extern	char	specname[128];
extern	char	outname[128];


/*
extern	double * min_sec();
*/

void	main( argc, argv )
int	argc;
char	** argv;
{
	NET	*nn;
	double	timearr[2];

	/*time_start = time();*/

	/*	USAGE:	Intro started here. Input argument check
			started here */
	if (argc < 2)
		{
		usage();
		}
	else
		{
		cmdinit( argc, argv );
		parse();
		}

	/*	CREATE a neural net according to the (hardwired) specs given */
	nn = nn_creat();

	/* READ 'sample' input pattern */
	get_pattern( tname, sample);


	/* READ initial weights */
	get_weights( wgtname, nn);

 	/* READ other specs */
	get_specs( specname );

	printf( "%s: I started to learn\n", PROGNAME );

	/*
	Invoking the training procedure. This is the heart of the matter.
		More parameters can and will be included as the simulator evolves!!!!
	*/
	nn_train( nn, inputvect, sample, maxiter );

	/*
	min_sec(timearr);
	printf("\n\nThe run took %d minutes and %d seconds.", (int)timearr[0], (int)timearr[1]);
	*/

}


