/*
*----------------------------------------------------------------------------
*	file	: nnerror.c
*	desc	: Define all errors
*	by	: Frank Schnorrenberg
*	date	: 04-14-92
*----------------------------------------------------------------------------
*/

#include "nnerror.h"

struct error {
	int	error;
	char	*errmsg;
	};

static struct error	errtbl[] =

{
	{ NNMALLOC_NET,		"malloc error allocating net object" },
 	{ NNMALLOC_VEC,		"malloc error allocating vector object" },
	{ NNMALLOC_WGTVEC,	"malloc error allocating wgtvector array" },
	{ NNMALLOC_PLANE,	"malloc error allocating plane object" },
	{ NNMALLOC_LAY,		"malloc error allocating layer object" },
	{ NNMALLOC_STA,		"malloc error allocating stage object" },
	{ NNMALLOC_UNIT,	"malloc error allocating unit object" },
	{ NNFIERR,		"file error"},
	{ NN2FEWPATT,		"too few patterns" },
	{ NNMALLOCINPERR,	"malloc error allocating the input data array"},
	{ NNWGTFIERR,		"error in weightfile"},
	{ NNPARERR,		"error in parameter file"},
	{ NN_C_VALERR,		"malloc error allocating c value array" },
	{ NNMALLOC_INHIBERR,	"malloc error allocating c value array" }

	
};

int error( errno )
int	errno;
{
	printf( "nnerror %d: %s\n", errno, errtbl[errno].errmsg );
	exit (errno);
}
